<?php
require("../conexion.php");
include ("../funciones/fechas.php");

$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numfactura=$_POST["numproforma"];
$cdgtipven=$_POST["combotipoventa"];
$cdgcaj      =$_POST["cdgcaj"];
$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];


 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 


$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }
if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }
if ($dsccli <> "") { $where.=" AND dsccli like '%".$dsccli."%'"; }
if ($numfactura <> "") { $where.=" AND numfactura='$numfactura'"; }
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecha<='".$fechafin."'";
		}
	}
}
if ($cdgcaj <> "") { $where.=" AND cdgcaj='$cdgcaj'"; }
 $where.=" AND borrado='0'";
 $where.=" ORDER BY codfactura DESC LIMIT 300 ";
 

 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT codfactura FROM proformas WHERE  ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}

if (!isset($_POST["chkec"])) { $chkec=""; } else  { $chkec=$_POST["chkec"]; }
if (!isset($_POST["codfactura"])) { $codfactura=""; } else  { $codfactura=$_POST["codfactura"]; }

if ($chkec <> "" ) { 

							$query_update="UPDATE proformas SET checkunir='$chkec' WHERE codfactura='$codfactura'";					
					$mysqli->query($query_update);
					
					if ($chkec == 1) { 
	
					$query_insert="INSERT INTO tmp_unir_proformas(codproforma) VALUES('$codfactura')";					
					$mysqli->query($query_insert);

					}
					else {
						
						$query_delete="DELETE FROM tmp_unir_proformas WHERE codproforma='$codfactura'";					
					$mysqli->query($query_delete);
						
					}

}

?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script src="..//jquery/bootstrap.js"></script>
        <link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		

	
	function imprimir(codfactura) {

				window.open("../fpdf/imprimir_proforma_pdf.php?codfactura="+codfactura);
			
			
		}
	
	
	
		function imprimir_total(codfactura) {

				window.open("../fpdf/imprimir_proforma_total.php?codfactura="+codfactura);
			
			
		}
				function imprimir_sin_descuento(codfactura) {

				window.open("../fpdf/imprimir_proforma_sin_descuento.php?codfactura="+codfactura);
			
			
		}
		
			
		function imprimir_punto_venta(codfactura) {

				window.open("../fpdf/imprimir_proforma_PUNTO_VENTA.php?codfactura="+codfactura);
			
			
		}
	
	
	
	function enviar_cliente(codproforma,corcli,cdgcli) {
	//if (estado==1 ) {
   
  //    if (cdgcli==9999 ) {

// alert ("Cliente no cumple con los requisitos para enviar el comprobante, cliente de Generico") ;
 
 

//}
  if(corcli=="" ) {
alert ("Cliente no posee correo electrónico registrado, Favor registrar el correo en la proforma") ;	 
	 
	 }
 else {
	    window.open("../fpdf/imprimir_proforma_original.php?codfactura="+codproforma);
	 // window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);
      window.open("enviar_correo.php?codfactura="+codproforma);

	}



//	} else {	

 //	 alert ("Comprobante no ha sido enviado o aceptado totalmente por hacienda no pueder ser enviado por correo")  
	//		}
		}

		
	function ver_proforma(codfactura) {
		
	
		parent.location.href="ver_proforma.php?codfactura=" + codfactura;	

		}
		
		
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////
		
		function eliminar_proforma(codfactura) {
			
			parent.location.href="eliminar_proforma.php?codfactura=" + codfactura ;
			
			
		}


		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////
		
		function modificar_proforma(codfactura) {
		
			parent.location.href="modificar_proforma.php?codfactura=" + codfactura ;
			
			
		}


			//////////////////////////////////////  funcion convertir a  factura //////////////////////////////////////////////////////
		
		function convertir_proforma(codfactura) {
			

	
	    if (confirm(" Desea convertir esta proforma a Factura ? "))

				   
			parent.location.href="../Factura/nueva_proforma_super_referencia.php?codproforma=" + codfactura;
			
			}
			
			
 function  convertir_proforma_cabys(codproforma){

	document.getElementById("frame_datos1").src="comprobarcabys.php?codproforma=" +codproforma;


}
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalproformas.value=document.getElementById("totalproformas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		function insert_tmp(codfactura,checked){

//parent.document.form1.accion.value=accion; 
parent.document.form_busqueda.codfactura.value=codfactura; 
parent.document.form_busqueda.chkec.value=checked;
parent.document.getElementById("form_busqueda").submit();

		}
		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalproformas" id="totalproformas" value="<?php echo $totalproformas?>">

<?php

$contador=0;
if ( $filas > 0) {
 
$consulta2 = "SELECT codfactura FROM proformas WHERE  ".$where;

if ($resultado2 = $mysqli->query($consulta2)) 

 
    while ($fila2 = $resultado2->fetch_assoc()) {
	
    $codfactura = $fila2["codfactura"];
	
$consulta = "SELECT modpro,cdgtipven, codfactura, dsccli, cdgcli, corcli, fecha, horfac,  borrado, totalfactura,estado,numfactura,checkunir FROM proformas  WHERE  codfactura='$codfactura'  ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();


        $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
        $horfac = $fila["horfac"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $fila["cdgtipven"];
		$numfactura = $fila["numfactura"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalfactura = $fila["totalfactura"];
		//$codfactura = $fila["codfactura"];
		$modpro = $fila["modpro"];
		$corcli = $fila["corcli"];
		
		
        $dsccli = substr($dsccli, 0, 55);  
		
		$check  = $fila["checkunir"];
		
		   $resultado->close();

		if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($cdgtipven == 1) { $tipo="CONTADO"; } else { $tipo="CREDITO"; } 
		
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="8%"><div align="left"><?php echo $numfactura ?> </div></td>
								<td width="13%" align="center"><div align="center"><?php echo $fecha?></div></td>
								<td width="6%" align="right"><div align="left"><?php echo $cdgcli?></div></td>
								<td width="42%"><div align="left"><?php echo 	$dsccli?></div></td>	
								
																<?php   if ($cdgtipven == 1){?>
		  <td width="6%"><div align="center"><span class="label label-primary"><?php echo $tipo; ?></span></div></td>	
							
				<?php   } else {?>	
		  <td width="12%"><div align="center"><span class="label label-success"><?php echo $tipo; ?></span></div></td>			
		
			<?php   } ?>
			
	
                                <td width="12%"><div align="right"><?php echo number_format($totalfactura,2,".",",")?></div></td>
		
								<td width="2%">&nbsp;</td>
								<td width="2%"><a href="#"><img src="../img/print-icon (5).png" alt="im" width="32" height="32" border="0" title="Imprimir Totales" onClick="imprimir_total('<?php echo $codfactura; ?>')"></a></td>
									<td width="3%"><a href="#"><img src="../img/Printer_Icon_32.png" alt="im" width="32" height="32" border="0" title="Imprimir Detallado" onClick="imprimir('<?php echo $codfactura; ?>')"></a></td>
                                    <td width="3%"><a href="#"><img src="../img/sin_descuento.png" alt="im" width="32" height="32" border="0" title="Imprimir Sin Descuento" onClick="imprimir_sin_descuento('<?php echo $codfactura; ?>')"></a></td>
												<td width="3%"><a href="#"><img src="../img/punto_venta.fw.png" alt="im" width="32" height="32" border="0" title="Imprimir Punto de Venta" onClick="imprimir_punto_venta('<?php echo $codfactura; ?>')"></a></td>
 								<td width="3%"><div align="right"><a href="#"><img src="../img/email.png" alt="im" width="32" height="28" border="0" title="Enviar al Cliente" onClick="enviar_cliente('<?php echo $codfactura  ?>','<?php echo $corcli ?>','<?php echo $cdgcli ?>' )"></a></div></td>                                               
								<td width="2%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_proforma('<?php echo $codfactura; ?>' )" title="Visualizar"></a></div></td>
								<td width="2%"><div align="center"><a href="#"><img src="../img/Edit_Male_User_Icon_32.png" alt="" width="25" height="25" title="Modificar" onClick="modificar_proforma('<?php  echo $codfactura  ?>')" border="0"></a></div></td>
								<td width="2%"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="eliminar_proforma('<?php  echo $codfactura ?>'  )" title="Anular proforma"></a></td>
								<td width="2%"><a href="#"><img src="../img/carrito.png" alt="" width="25" height="25" title="Convertir a Factura" onClick="convertir_proforma_cabys('<?php echo $codfactura ?>' )" border="0"></a></td>
                                 <?php if ( $check ==0){ ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"   onClick="insert_tmp('<?php echo $codfactura ?>',<?php echo 1 ?>)" /> </td>
		       <?php } else { ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"   checked   onclick="insert_tmp('<?php echo $codfactura ?>',<?php echo 0 ?>)" /> </td>
                <?php }  ?> 
								
			  </tr>
						</tr>	
						<?php $contador++;
							}
					   $resultado2->close();
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
		  </div>
		  </div>
    </div>			
		</div>
        
            <iframe id="frame_datos1" name="frame_datos1" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
  </iframe>	
  
  
	</body>
    

</html>
